## ros-rolling-gazebo-plugins 3.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
   # we dont use add_compile_options with pedantic in message packages
   # because the Python C extensions dont comply with it
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic -Wno-inconsistent-missing-override")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
 endif()
 
 if(WIN32)
@@ -186,6 +186,7 @@
 ament_target_dependencies(gazebo_ros_gps_sensor
   "gazebo_ros"
   "sensor_msgs"
+  "geometry_msgs"
   "gazebo_dev"
 )
 ament_export_libraries(gazebo_ros_gps_sensor)
@@ -414,3 +415,4 @@
 # gazebo_ros_planar_move
 add_library(gazebo_ros_planar_move SHARED
   src/gazebo_ros_planar_move.cpp
+)
