=== test/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 option(ENABLE_DISPLAY_TESTS "Enable the building of tests that requires a display" OFF)
 
 # Worlds
-file(GLOB worlds RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "worlds/*.world")
+file(GLOB_RECURSE worlds RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "worlds/*.world")
 foreach(world ${worlds})
   # Use configure_file so this is rerun each time make is invoked (as opposed to just cmake)
   configure_file(${world} ${world} COPYONLY)
@@ -29,6 +29,7 @@
   test_gazebo_ros_ray_sensor
   test_gazebo_ros_tricycle_drive
   test_gazebo_ros_vacuum_gripper
+  test_gazebo_ros_wheelslip
 )
 
 if(ENABLE_DISPLAY_TESTS)
